GeminiGemini
SandboxGet API key
  • Crypto Trading
  • Prediction Markets
Changelog
Gemini Crypto Exchange LogoGemini Crypto Exchange Logo

© 2026 Gemini Space Station, Inc.

REST APIs
    Orders
    Market Data
    Derivatives
      Get Open PositionsGet Account MarginGet Funding AmountGet Funding Amount Report FileList Funding PaymentsGet Funding Payment Report FileGet Funding Payment Report JSONGet Risk Stats
    Margin Trading
    Staking
    Clearing
    Instant Orders
    Fund Management
WebSocket
    AuthenticationMessage Format
    Streams
      Book TickerL2 Partial DepthL2 Differential DepthTrade StreamOrder EventsBalance Updates
    Playground
      Overviewconninfopingtimesubscribeunsubscribelist_subscriptionsdepthorder.placeorder.cancelorder.cancel_allorder.cancel_session
Agentic
FIX

List Funding Payments

TradingDerivativesList Funding Payments

List Funding Payments

POSThttps://api.gemini.com/v1/perpetuals/fundingPayment

Retrieves the account's funding payment history for perpetuals positions.

Note

The response field instrumentSymbol is only attached to requests from 16th April 2024 onwards.

POSTv1/perpetuals/fundingPayment
curl --request POST \
  --url https://api.gemini.com/v1/perpetuals/fundingPayment \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '
{
  "request": "/v1/perpetuals/fundingPayment",
  "nonce": "<nonce>"
}
'

Roles

The API key you use to access this endpoint must have the Trader or Auditor role assigned. See Roles for more information.

The OAuth scope must have orders:read assigned to access this endpoint. See OAuth Scopes for more information.

Query Parameters

since
If specified, only return funding payments after this point. Default value is 24h in past. See Timestamps for more information
to
If specified, only returns funding payment until this point. Default value is now. See Timestamps for more information

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Request Body

requeststring·required
The API endpoint pathExample: /v1/perpetuals/fundingPayment
noncestring | integer·required
Gemini strongly recommends using milliseconds instead of seconds for timestamps.
Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000
accountstring
Required for Master API keys as described in [Private API Invocation](/authentication/api-key#private-api-invocation). The name of the account within the subaccount group. Specifies the account on which you intend to place the order. Only available for exchange accounts.Example: primary
Example request body
{
  "request": "/v1/perpetuals/fundingPayment",
  "nonce": "<nonce>"
}

Responses

The response will be an array of funding payment objects.

eventTypestring·enum·required
Event typeEnum values: Hourly Funding Transfer
hourlyFundingTransferobject·required
hourlyFundingTransfer.eventTypestring·required
Event type
hourlyFundingTransfer.timestampstring | integer·required
Gemini strongly recommends using milliseconds instead of seconds for timestamps.
Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000
hourlyFundingTransfer.assetCodestring·required
Asset symbol
hourlyFundingTransfer.actionstring·enum·required
Credit or DebitEnum values: CreditDebit
hourlyFundingTransfer.quantityobject·required
A nested JSON object describing the transaction amount
hourlyFundingTransfer.quantity.currencystring·required
The currency code of the quantity.
hourlyFundingTransfer.quantity.valuestring (decimal)·required
The value of the quantity.
hourlyFundingTransfer.instrumentSymbolstring
Symbol of the underlying instrument. **Note** that this is only attached to requests from 16th April 2024 onwards.
Example Responses
[
  {
    "eventType": "Hourly Funding Transfer",
    "hourlyFundingTransfer": {
      "eventType": "Hourly Funding Transfer",
      "timestamp": 1683730803940,
      "assetCode": "GUSD",
      "action": "Debit",
      "quantity": {
        "currency": "GUSD",
        "value": "4.78958"
      }
    }
  },
  {
    "eventType": "Hourly Funding Transfer",
    "hourlyFundingTransfer": {
      "eventType": "Hourly Funding Transfer",
      "timestamp": 1683734406746,
      "assetCode": "GUSD",
      "action": "Debit",
      "quantity": {
        "currency": "GUSD",
        "value": "4.78958"
      },
      "instrumentSymbol": "BTCGUSDPERP"
    }
  }
]
PreviousGet Funding Amount Report FileNextGet Funding Payment Report File
Last modified on May 5, 2026